### Method

# Gimp Procedure persistent_ready

since: 3.0

#### Declaration [src]

    void
    gimp_procedure_persistent_ready (
      GimpProcedure* procedure
    )

#### Description [src]

Notify the main GIMP application that the persistent procedure has been properly initialized and is ready to run.

This function must be called from every procedure’s `GimpRunFunc` that was created as `GIMP_PDB_PROC_TYPE_PERSISTENT`.

Subsequently, extensions can process temporary procedure run requests using either `gimp_plug_in_persistent_enable()` or `gimp_plug_in_persistent_process()`.

See also: `gimp_procedure_new()`.

Available since: 3.0